<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='24' and usuario_usu_id='$usu_id'") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
      if($reg['per_visualizar']=="Activo")
      {
            $sql=mysqli_query($con,"SELECT cajas_caja_id, apertura, mca_estado from movimiento_caja where mca_usuario='$usu_id' and empresa='$empresa' and sucursal='$sucursal' and mca_estado='1'");
            $rowa= mysqli_fetch_array($sql);
            $numrows = $rowa['apertura'];
            $apertura=$rowa['apertura'];
            $cajas_caja_id=$rowa['cajas_caja_id'];                      
        if ($numrows>'0')
          {
?>
<!DOCTYPE html>
<html lang="en">
<head>
<?php include ('head.php'); ?>
<script type="text/javascript">
$(document).ready(function() {  
  $('#clie_cc').blur(function(){
    $('#Info').html('<img src="img/loader.gif" alt="" height="20px"  />').fadeOut(1000);
    var clie_cc = $(this).val();    
    var dataString = 'clie_cc='+clie_cc;
    
    $.ajax({
            type: "POST",
            url: "verificar/verificar_cliente.php",
            data: dataString,
            success: function(data) {
        $('#Info').fadeIn(1000).html(data);
            }
        });
    });              
});    
</script>
</head>
<body >
<?php
$inicio="";
$M_inventario="";
$M_compras="";
$M_contactos="";
$M_ventas="";
$M_pedidos="";
$M_pos="active";
$R_reportes="";

$ventas="";
$remisiones="";
$cajas="";
$apartadas="";
$orden="";
$movimientos="active";
$periodica=""; 
$mesas="";

include ('menu.php');
?> 
    
<div class="main">
    <div class="col-md-2">
        <?php include ('include/menu_pos.php');?>       
    </div> <!-- /span6 -->
    <div class="col-md-10">
        <div class="widget stacked">
            <div class="widget-header">
                <i class="icon-exchange"></i>
                <h3></h3>
            </div>
            <div class="widget-content">
                <div class="pull-right">
                    <div class="btn-group">
                        <button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">INGRESO DE DINERO <span class="caret"></span></button>
                        <ul class="dropdown-menu" role="menu">
                        <?php 
                        $per=mysqli_query($con,"SELECT * FROM modulo_permiso where usuario='$usu_id' and mod_id='24' and modp_nombre='Realizar Abonos'") or die(mysqli_error($con));
                        $permi = mysqli_fetch_array($per);
                        $estado_abonar=$permi['estado'];
                        if ($estado_abonar=='Activo') {
                        ?>
                            <li><a href="#" class="btn-cxc">CUENTAS POR COBRAR</a></li>
                        <?php  }  ?>
                            
                           <!-- <?php if($negocio_neg_id<>'2') { ?>
                                <li><a href="#abono_sep" data-toggle="modal" class="btn-cambio">ABONO APARTADOS</a></li>
                            <?php } ?> -->
                            <li><a href="#" class="btn-adelanto">ABONO ADELANTADO</a></li>
                        </ul>
                    </div>
                    <div class="btn-group">
                        <button type="button" class="btn btn-danger dropdown-toggle" data-toggle="dropdown">SALIDA DE DINERO <span class="caret"></span></button>
                        <ul class="dropdown-menu" role="menu">
                            <li><a href="#" class="btn-gastos">GASTOS</a></li>
                            <li><a href="#" class="btn-cuadre">CUADRE DE CAJA</a></li>
                            <li><a href="#" class="btn-devolucion">DEVOLUCIÓN DE DINERO</a></li>
                            <li><a href="#" class="btn-pagoempleado">PAGO EMPLEADOS</a></li>
                            <li><a href="#" class="btn-cxp">CUENTAS POR PAGAR</a></li>
                        </ul>
                    </div>
                    <div class="btn-group">
                        <button type="button" class="btn btn-info dropdown-toggle" data-toggle="dropdown">TRASLADO DE DINERO <span class="caret"></span></button>
                        <ul class="dropdown-menu" role="menu">
                            <li><a href="#" class="btn-transpaso">TRASPASO DE DINERO</a></li>
                        </ul>
                    </div>
                </div>
                <!-- <a type="button" href="#bono" class="btn btn-success" data-toggle="modal" ><i class="shortcuts-icon icon-plus"></i> BONOS</a>  --> 
                </br></br>
                <input id="q" type="hidden" class="form-control" autocomplete="off" placeholder="Buscar Compra" onKeyUp='load(1);' autofocus>
                <span id="loader"></span></center>
                <div id="resultados"></div><!-- Carga los datos ajax -->
                <div class='outer_div'></div>
                <div id='modal'></div>
            </div> <!-- /widget-content -->
        </div> <!-- /span6 --></br></br>
    </div> <!-- /container -->
</div> <!-- /main -->

<?php

//include ('php_movimientos/registro_abono_cxp.php');
//include ('php_movimientos/registro_abono_sep.php');
include ('php_clientes/form_nuevo_cliente.php');

include ('php_caja/caja_abrir.php');
include ('script.php');
?>
<script>
function loadmodal() 
{
    $.ajax({
        type: "get",
        url: "./php_movimientos/forms_modal.php",
        data: "art_id="+art_id,
        success: function(data){
    $("#modal").html(data);
        load(1);
    }
    });
}


$(document).ready(function(){
      load(1);
    });

function load(page){
      var q= $("#q").val();
      $("#loader").fadeIn('slow');
      $.ajax({
        url:'php_movimientos/tabla_movimientos.php?action=ajax&page='+page+'&q='+q,
         beforeSend: function(objeto){
         $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success:function(data){
          $(".outer_div").html(data).fadeIn('slow');
          $('#loader').html('');
        }
      })
    }


$("#nuevo_clie").submit(function( event ) {
$('#btn_cliente').attr("disabled", true);
$('#ventana_ade').hide();
var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_clientes/registrar_cliente_movimiento.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultado_adelanto').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultado_adelanto").html(datos);
      $('#btn_cliente').attr("disabled", false);
      $('#nuevocliente').modal('hide');
      $('body').removeClass('modal-open');
     // $('.modal-backdrop').remove();
      //load(1);
      }
  });
  event.preventDefault();
})


$(".btn-gastos").click(function(){
    $.get("./php_movimientos/forms_egreso.php",function(data){
        $("#form-egreso").html(data);
    });
    $('#gastos').modal('show');
});

$(".btn-cuadre").click(function(){
    $.get("./php_movimientos/forms_cuadre.php",function(data){
        $("#form-cuadre").html(data);
    });
    $('#cuadre').modal('show');
});

$(".btn-pagoempleado").click(function(){
    $.get("./php_movimientos/forms_pago_empleados.php",function(data){
        $("#form-empleados").html(data);
    });
    $('#pago_empleados').modal('show');
});

$(".btn-devolucion").click(function(){
    $.get("./php_movimientos/forms_devolucion_efectivo.php",function(data){
        $("#form-devolucion").html(data);
    });
    $('#devolucion').modal('show');
});

$(".btn-transpaso").click(function(){
    $.get("./php_movimientos/forms_transpaso.php",function(data){
        $("#form-transpaso").html(data);
    });
    $('#traspaso').modal('show');
});

$(".btn-adelanto").click(function(){
    $.get("./php_movimientos/forms_adelanto.php",function(data){
        $("#form-adelanto").html(data);
    });
    $('#adelanto').modal('show');
});

$(".btn-cxc").click(function(){
    $.get("./php_movimientos/forms_buscar_cxc.php",function(data){
        $("#form-cxc").html(data);
    });
    $('#buscarcxc').modal('show');
});


$(".btn-cxp").click(function(){
    $.get("./php_movimientos/forms_buscar_cxp.php",function(data){
        $("#form-cxp").html(data);
    });
    $('#buscarcxp').modal('show');
});
</script>
<div class="modal fade" id="gastos" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Registrar Egreso</h4>
            </div>
            <div class="modal-body">
                <div id="form-egreso"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="cuadre" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Cuadre de Caja</h4>
            </div>
            <div class="modal-body">
                <div id="form-cuadre"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="pago_empleados" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Pago Empleados</h4>
            </div>
            <div class="modal-body">
                <div id="form-empleados"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="devolucion" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Devolucion de Dinero</h4>
            </div>
            <div class="modal-body">
                <div id="form-devolucion"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="traspaso" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Transpaso de Dinero</h4>
            </div>
            <div class="modal-body">
                <div id="form-transpaso"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="adelanto" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true" style="z-index: 1035;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Abono Adelantado</h4>
            </div>
            <div class="modal-body">
                <div id="form-adelanto"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->


<div class="modal fade" id="buscarcxc" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true" style="z-index: 1035;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">CUENTAS POR COBRAR</h4>
            </div>
            <div class="modal-body">
                <div id="form-cxc"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->


<div class="modal fade" id="buscarcxp" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true" style="z-index: 1035;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">CUENTAS POR PAGAR</h4>
            </div>
            <div class="modal-body">
                <div id="form-cxp"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

</body>
</html>
<?php
    }
else
    {
        echo '<script>alert("primero debes Abrir caja")</script>';
        echo '<script> setTimeout("history.back(1)", 0); </script>';
    }
}
else
    {
        echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
        echo '<script> setTimeout("history.back(1)", 0); </script>';
    }
} 
else
    {
        echo '<script>location.href = "index.php";</script>';
    }
?>